%
% Simple test program used to illustrate the use of fminbnd
%
% This file has to be executed together with the start-kit
% files provided to you from the web. 
%
% Execute by typing Fig217_test in the MATLAB environment. 
%
% Make sure that you understand how fminbnd works (read
% the manual and study this example). 
%
t02 = 482.0;
t03 = 1046.0;

% fuel heating value. tailored for the computed fa values
% to agree with what you obtain from Fig. 2-17. 
Qnet = 43200000.0;

% bounds on iteration are put given with fuel air ratios
% for pure air and air for which all oxygen has been consumed
% combustion. 
% fuel air ratio in air = 0.0
faair = 0.0;
% stochiometric fuel air ratio (all oxygen is consumed) 
fastoch = 0.0676;

fa = fminbnd('fa_err',faair,fastoch,[],t02,t03,Qnet)
