%
% Determine surge and choke for a particular rotational
% speed line. 
%
%     [r_surge, r_choke] = get_surge_and_choke(i)
%
% Inputs
%              i = rotational speed line number. i=1:8
%                  i = 7 gives design rotational speed 
%                  line.
% Outputs
%        r_surge = pressure ratio at surge for selected
%                  rotational speed line.
%        r_choke = pressure ratio at choke for selected
%                  rotational speed line.
%
function [r_surge, r_choke] = get_surge_and_choke(i);

global compr_map

r_surge = compr_map(20,i,1);
r_choke = compr_map(1,i,1);

