%
% Main program for starting kit. Skeleton file for 
% you to complete.
%
% Short description of m-files distributed:
%
%                            odp.m = this file (odp = off-design performance). 
%                                    main program for the simulation task. 
%                                    Incomplete - to be completed by you.
%            get_surge_and_choke.m = bounds for particular speed line.
% get_compressor_operating_point.m = used to get operating points from compressor 
%                                    characteristic.
%    get_turbine_operating_point.m = used to get operating points from
%                                    turbine characteristic
%                 load_comp_char.m = loads compressor map into computer
%                                    memory.
%                 plot_comp_char.m = plots compressor characteristic.
%                       Turbojet.m = Incomplete skeleton file - to be 
%                                    completed by you. Called by odp
%                                    for engine balancing (Fig. 8.6b). 
%                                    Calls GasGen.m to balance gas
%                                    generator (Fig. 8.6a).
%                         GasGen.m = Incomplete skeleton file - to be 
%                                    completed by you. Called by Turbojet
%                                    for gas generator balancing equations.
%
% Type help filename to get more help. 
%
% Example:
%             help get_surge_and_choke
%  
% procudes a help how to call that m-file.
%

% init data structures
clc
close all
clear all
format long

% load compressor characteric into global data structure compr_map
global compr_map rot_speeds
load_comp_char;


% EXAMPLES ON HOW TO USE ROUTINES IN STARTING KIT

% How to use compressor map. Some sample ...
%[r_surge, r_choke] = get_surge_and_choke(6)
%plot_comp_char;
%[mcorr1,eta,ncorr1]  = get_compressor_operating_point(7,4.0)

% 
% How to use turbine map.
% mfp3 = get_turbine_operating_point(2.40,1.333,0.022,287.0)
% plot_turb_char(0.022);
 
%
% How to use Fig. 2.17 model.
%
%t02 = 482.0;
%t03 = 1046.0;
%fa_vec = fminbnd('fa_err',0.0,0.0676,[],t02,t03,43200000.0)

%
% Suggested structure for task:
%
%    Loop over all eight running lines solving for p02/p01
%    using fminbnd('turbojet',..........)
%
%    See turbojet.m
%