%
% Generates a plot of the Whittle compressor characteristic.
% Call to plot_comp_char must be preceeded by a load statement, 
% i.e. load_comp_char.
%
function plot_comp_char()

global compr_map

plot(compr_map(:,1,2),compr_map(:,1,1),'k')
hold on
plot(compr_map(:,1,2),compr_map(:,1,1),'k+','MarkerSize',2)


for i = 2:8
  plot(compr_map(:,i,2),compr_map(:,i,1),'k-')
  plot(compr_map(:,i,2),compr_map(:,i,1),'k+','MarkerSize',2)
end 

title('Whittle compressor characteristic','FontSize',20)
plot(compr_map(6,7,2),compr_map(6,7,1),'k*','MarkerSize',8)
xlabel('m\surd \theta/ \delta','FontSize',16)
ylabel('r_c','FontSize',20)